# module Crystal::EventLoop

##
Defined in:

##
Class Method Summary

- .after_fork : Nil

  Reinitializes the event loop after a fork.

- .create_fd_read_event(io : IO::Evented, edge_triggered : Bool = false) : Crystal::Event

  Creates a read event for a file descriptor.

- .create_fd_write_event(io : IO::Evented, edge_triggered : Bool = false) : Crystal::Event

  Creates a write event for a file descriptor.

- .create_resume_event(fiber : Fiber) : Crystal::Event

  Create a new resume event for a fiber.

- .run_once

  Runs the event loop.

##
Class Method Detail

def self.after_fork : Nil #

Reinitializes the event loop after a fork.

def self.create_fd_read_event(io : IO::Evented, edge_triggered : Bool = false) : Crystal::Event #

Creates a read event for a file descriptor.

def self.create_fd_write_event(io : IO::Evented, edge_triggered : Bool = false) : Crystal::Event #

Creates a write event for a file descriptor.

def self.create_resume_event(fiber : Fiber) : Crystal::Event #

Create a new resume event for a fiber.

def self.run_once #

Runs the event loop.